# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Rectangle Class Reference
Inheritance diagram for Rectangle:

## Public Member Functions

| Rectangle (int layer, double xmin, double ymin, double xmax, double ymax)
| creates a new Rectangle More...

## Detailed Description

This class describes a rectangle element and inherits from AGDS::Element.

## Constructor & Destructor Documentation

## ◆ Rectangle()

Rectangle | ( | int | layer,
|  | double | xmin,
|  | double | ymin,
|  | double | xmax,
|  | double | ymax
| ) |  |

creates a new Rectangle

Parameters

  layer | the layer number into which the rectangle shape is drawned.
  xmin | the x coordinate of the bottom-left corner of the rectangle.
  ymin | the y coordinate of the bottom-left corner of the rectangle.
  xmax | the x coordinate of the top-right corner of the rectangle.
  ymax | the y coordinate of the top-right corner of the rectangle.